changes from 1.5.1 to 1.5.2:

2007-07-07 Frank Hemer <frank@hemer.org>

	* fixed: workaround for Qt 3.3.8 datetime parsing bug

2007-04-04 Frank Hemer <frank@hemer.org>

	* improved: Query the user whether to create the
	target directory in case it does not exist during
	checkout.

2007-01-20 Tilo Riemer <riemer@crossvc.com>

	* added: hint that cvs import -C is only available
	for CVSNT
	* added: option to add an imported directory to the
	workbench if import was called with option -C
	* changed: don't show an hour glass if a message box 
	popped up

2007-01-13 Tilo Riemer <riemer@crossvc.com>

	* changed: Local/NFS access method is the default
	in the import, checkout and edit-profiles dialog again

2006-12-18 Frank Hemer <frank@hemer.org>

	* fixed: Use the desktop to calculate available 
	screen size as it takes into account that there 
	may be more than one screen (possibly a virtual 
	desktop).


changes from 1.5.0 to 1.5.1:

2006-12-17 Tilo Riemer <riemer@crossvc.com>

	* added: reading of old LinCVS configuration if never
	started as CrossVC

2006-11-30 Michel Briand <michel.m.briand@airbus.com>

	* improved: French translation

2006-11-10 Matthias Guelck <Matthias.Guelck@heidelberg.com>

	* added: support for sspi
	* added: support for import option "-C"
	* added: support for import option "-d"

2006-10-28 Tilo Riemer <riemer@crossvc.com>

	* improved: German translation

2006-10-11 Michel Briand <michel.m.briand@airbus.com>

	* improved: French translation

2006-06-03 Tilo Riemer <riemer@crossvc.com>

	* fixed: don't hide cvs messages for removed files 
	in quiet mode

2006-05-28 Tilo Riemer <riemer@crossvc.com>

	* added: check initial position of CrossVC window
	at startup

2006-05-26 Tilo Riemer <riemer@crossvc.com>

	* fixed: AppRun did not work if bourne shell is used.
	Thanks to Steve Evans for the fix.

2006-05-20 Frank Hemer <frank@hemer.org>

	* fixed: cvs warning/error message detection enhanced,
	state parsing fixed to also properly detect messages
	from older cvs-servers


changes from 1.4.4 to 1.5.0:

2006-04-27 Tilo Riemer <riemer@crossvc.com>

	* fixed: hide cvsnt messages also in quiet mode

2006-04-24 Tilo Riemer <riemer@lincvs.org>

	* fixed: two memory leaks
	* fixed: highlight "aborted" messages also for cvsnt

2006-04-24 Frank Hemer <frank@hemer.org>

	* fixed: Mac: open/view file mapping dialog: CrossVC
	hangs after opening of the "choose application" dialog

2006-04-23 Tilo Riemer <riemer@lincvs.org>

	* added: now you can show/hide the toolbar via menu

2006-04-22 Tilo Riemer <riemer@lincvs.org>

	* fixed: it's compilable with gcc 4.1 now
	Thanks to Andreas Fester for the patch.

2006-03-11 Frank Hemer <frank@hemer.org>

	* fixed: set state to up-to-date for all files 
	that are not mentioned by cvs output on 
	update-other-revision-files

2006-02-14 Frank Hemer <frank@hemer.org>

	* fixed: 'query update' followed by 'update':
	Only remove updated files from Entries if they were
	tmpEntries members.

2006-01-31 Frank Hemer <frank@hemer.org>

	* fixed: 'query update' display missing files in the
	'controled files' tab, if they get put under cvs control
	by another user but already exist.

2006-01-30 Tilo Riemer <riemer@lincvs.org>

	* fixed: don't hide error messages from cvsnt server

2006-01-18 Frank Hemer <frank@hemer.org>

	* changed: Env var support added for pserver proxy support
	of upcomming cvs 1.12.14

2006-01-14 Tilo Riemer <riemer@lincvs.org>

	* fixed: initializing of default path to "cvs"

2006-01-12 Frank Hemer <frank@hemer.org>

	* fixed: dialog-size might be wider than screen
	* fixed: compilation for Sun Studio 10 / SPARC / Solaris 8

2005-12-26 Frank Hemer <frank@hemer.org>

	* fixed: reread tree if cvsroot (PropertiesDlg) is changed

2005-12-24 Tilo Riemer <riemer@lincvs.org>

	* fixed: highlight "cvs aborted" message for all cvs commands

2005-11-23 Tilo Riemer <riemer@lincvs.org>

	* added: show always a "cvs aborted" message and highlight it
	* changed: ignore some CVSNT output if quiet mode is activated

2005-05-29 Tilo Riemer <riemer@lincvs.org>

	* removed: old compatibility stuff for Qt < 3.1


changes from 1.4.3 to 1.4.4:

2005-12-13 Tilo Riemer <riemer@lincvs.org>

	* fixed: now external commands like "open file" work also for 
	files containing double quotation marks.

2005-12-11 Frank Hemer <frank@hemer.org>

	* fixed: abnormal termination if cvs status and no revision yet

2005-12-10 Tilo Riemer <riemer@lincvs.org>

	* fixed: now cvs commands work also for files containing
	double quotation marks.

2005-11-15 Frank Hemer <frank@hemer.org>

	* fixed: prevent rescanning of directory if the folder is solely 
	expanded/collapsed

2005-11-12 Frank Hemer <frank@hemer.org>

	* fixed: honor '/Attic' on conversion from rcsfile path to local
	file name.
	* fixed: Output status detection for status cmd in combination with usage
	of combined modules via a serverside modules file.
	* changed: logging enhanced for cvs private data (cache clearance)

2005-11-08 Frank Hemer <frank@hemer.org>

	* fixed: External diff --side-by-side on a localy modified and
	outdated file diffed against the head instead of the same revision
	in the repository

2005-10-30 Frank Hemer <frank@hemer.org>

	* fixed: erroneous error output if cvsnt passwd file is not writeable

2005-10-24 Tilo Riemer <riemer@lincvs.org>

	* fixed: adaptions for FreeBSD (borrowed from FreeBSD
	port of LinCVS)

2005-10-19 Frank Hemer <frank@hemer.org>

	* fixed: query update didn't detect 'needs merge' in nested subProjects
	* changed: logging enhanced for cvs private data

2005-10-03 Tilo Riemer <riemer@lincvs.org>

	* fixed: endless loop at startup if a menu contains 
	items with the same caption

2005-09-29 Frank Hemer <frank@hemer.org>

	* fixed: crash if operate on a CVS-controlled
	directory containing corrupted CVS private data

2005-09-29 Tilo Riemer <riemer@lincvs.org>

	* fixed: crash while reread of a non-controlled directory 
	after removing of all subdirectories of this directory if 
	scanning-on-the-fly is activated

2005-09-28 Frank Hemer <frank@hemer.org>

	* fixed: rare crash if operate on a CVS-controlled
	directory in which somebody has removed the
	private-data directory of CVS

2005-09-27 Tilo Riemer <riemer@lincvs.org>

	* fixed: wrong include hints in ui files
	* changed: Mac: use double height for width of WhatsThis buttons

2005-09-17 Tilo Riemer <riemer@lincvs.org>

	* fixed: KDE integration disabled as workaround for 
	crippled Qt shipped with SuSE 9.3

2005-08-02 Tilo Riemer <riemer@lincvs.org>

	* changed: Mac: ocvs is now the default cvs version


changes from 1.4.2 to 1.4.3:

2005-07-31 Tilo Riemer <riemer@lincvs.org>

	* fixed: Mac: determination of timezone

2005-07-30 Tilo Riemer <riemer@lincvs.org>

	* fixed: Mac: declaration of supported languages
	* added: Mac: application icon

2005-07-29 Tilo Riemer <riemer@lincvs.org>

	* fixed: Mac: save settings per user now (storing of preferences
	failed before without root permissions)

2005-07-28 Tilo Riemer <riemer@lincvs.org>

	* fixed: Mac: cvs via ssh (incl. ssh-agent) works now

2005-07-23 Tilo Riemer <riemer@lincvs.org>

	* fixed: crash while actions on non controlled folders if scanning on 
	the fly has been actived

2005-07-14 Eric Piel

	* fixed: French translation: spelling
	* fixed: French translation: more typo fixes (uppercases, spaces...)
	* fixed: French translation: major vocabulary correction (share
	translations with CVS manpage, that was the hard work, and there
	is probably more to do) 
	* French translation: translation of the new strings (execpted
	the tooltips help)
    
2005-06-27 Eric Piel

	* fixed: broken encoding in French translation
	* updated: most necessary/easy sentences in French translation


changes from 1.4.1 to 1.4.2:

2005-06-07 Clytie Sidall

	* finished: Vietnamese translation

2005-05-28 Clytie Sidall

	* fixed: English orthography and grammar

2005-05-21 Tilo Riemer <riemer@lincvs.org>

	* added: check for nanosleep, fallback to usleep
	if nanosleep is not available

2005-05-15 Frank Hemer <frank@hemer.org>

	* fixed: some rare problems with 'close app'


changes from 1.4.0 to 1.4.1:

2005-05-11 Frank Hemer <frank@hemer.org>

	* fixed: Blocking (without a project to autoupdate), caused
	freezing of LinCVS if autoupdate is enabled

2005-05-08 Tilo Riemer <riemer@lincvs.org>

	* fixed: export dir tree: show only the "Overwrite existing dir"
	message box if the target dir is not empty

2005-04-14 Frank Hemer <frank@hemer.org>

	* fixed: Query update shows files to be removed in file tab
	* fixed: Update files doesn't clear tmpEntries cache

2005-04-13 Frank Hemer <frank@hemer.org>

	* fixed: non-modal dlgs being hidden on 'showWarning'
	* fixed: crash when checkout/import -> browse Modules
	-> no modules selected -> ok

2005-04-12 Tilo Riemer <riemer@lincvs.org>

	* changed: opaque mode activated for splitters in 
	merge preview dialog
	
2005-03-18 Frank Hemer <frank@hemer.org>

	* fixed: merge: missing double quotes at beginning and end of file list

2005-03-15 Tilo Riemer <riemer@lincvs.org>

	* changed: opaque mode activated for splitters in diff and
	resolve dialog
	
2005-03-10 Tilo Riemer <riemer@lincvs.org>

	* changed: opaque mode activated for splitters in main window
	
2005-03-09 Frank Hemer <frank@hemer.org>

	* added: support for cvs1.12.x and cvsnt CVSROOT extended syntax

2005-02-22 Frank Hemer <frank@hemer.org>

	* reworked: WhatsThis info for workbench, fileviews and toolbar
	* fixed: reset align-entry state on unedit
	* fixed: set state to needs-merge if a modified file would conflict
	according to query update
	* fixed: set state to needs-patch on query update 'U' output

2005-02-17 Frank Hemer <frank@hemer.org>

	* changed: Date input format supports seconds

2005-02-15 Frank Hemer <frank@hemer.org>

	* fixed: Don't ignore Entries.Log when checking for subprojects

2005-02-14 Frank Hemer <frank@hemer.org>

	* added: Output window contextual menu: clear option
	* changed: Tags 'Fetch selected': Run non-recursive if no file is
	selected

2005-02-09 Frank Hemer <frank@hemer.org>

	* fixed: CheckoutDlg show warning if CVSROOT is invalid

2005-02-05 Frank Hemer <frank@hemer.org>

	* fixed: ssh access for checkout/export module browser

2005-01-23 Frank Hemer <frank@hemer.org>

	* added: ssh agent setup

2005-01-14 Frank Hemer <frank@hemer.org>

	* added: rls browse modules support (Import,Checkout,Export)
	* improved: startup time by not displaying every project during startup

2005-03-22 David Morel <david.morel@amakuru.net>

	* fixed: French translation: duplicate translation
	caused a crash at startup

2005-03-14 Tilo Riemer <riemer@lincvs.org>

	* fixed: lincvs.h: comma after last entry of enumeration
	bewilders older compilers

2005-03-06 Frank Hemer <frank@hemer.org>

	* fixed: Properly parse rev.no. == 0 for re-added files

2005-03-02 Frank Hemer <frank@hemer.org>

	* fixed: PatchDialog focus policy fixed

2005-03-02 Tilo Riemer <riemer@lincvs.org>

	* patch from Grant McDorman applied:
	fixed: ResolveDialogImpl.h: embedded class must be declared 
	'friend'
	fixed: directory.cpp: implicit casting of QStrings to QFile
	fixed: rshwrapper: c++ stylish declarations, hard-coded 
	compiler in the Makefile


changes from 1.4.0-rc2 to 1.4.0:

2005-02-17 Frank Hemer <frank@hemer.org>

	* fixed: logtree/diffview: different scroll values between
	widget/scrollbar
	* changed: use -b -B options for diff-to-console

2005-02-12 Frank Hemer <frank@hemer.org>

	* fixed: Advanced diff dialog caption

2005-01-25 Tilo Riemer <riemer@lincvs.org>

	* fixed: add project to workbench: show needless
	warning if workbench is empty

2005-01-20 Frank Hemer <frank@hemer.org>

	* fixed: 'Modified' time was never displayed

2005-01-18 Frank Hemer <frank@hemer.org>

	* fixed: Virtual dirs appeared in dir tree with option
	show only in fileview enabled
	* fixed: Don't remove all tmp entries on update dir
	* fixed: Highlighting for long paragraphs

2005-01-15 Frank Hemer <frank@hemer.org>

	* changed: LogDialog keep flags for show tags/branches
	* fixed: LogDialog erase focus frame on scroll events

2005-01-16 Tilo Riemer <riemer@lincvs.org>

	* fixed: handling of command line options for local
	and remote browsers

2005-01-15 Frank Hemer <frank@hemer.org>

	* fixed: connect method usage of module browser
	* fixed: removeProject failed to remove project from worbench

2005-01-13 Frank Hemer <frank@hemer.org>

	* fixed: SyntaxHighlighting if mode == off
	* fixed: Annotate dialog: color mapping
	* fixed: Annotate dialog: don't mangle failure output
	* changed: Annotate dialog: colorize changes

2005-01-12 Tilo Riemer <riemer@lincvs.org>

	* fixed: diff view: color mapping

2005-01-12 Frank Hemer <frank@hemer.org>

	* fixed: Log dialog zooming for mono fonts
	* changed: LogDialog whatsThis info enhanced, missing accels added
	* added: LogDialog revision tree: missing focus frame added

changes from 1.3.3-rc1 to 1.4.0-rc2:

2005-01-10 Frank Hemer <frank@hemer.org>

	* fixed: SettingsDialog: taborder
	* fixed: LogDialog: taborder, defaultbuttonstate, accelerators
	* fixed: Drag'n drop crash
	* fixed: output parsing for several cvs versions
	* fixed: Lost projects on 'browse dir' and 'open shell'


changes from 1.3.2 to 1.3.3-rc1:

2005-01-08 Frank Hemer <frank@hemer.org>, Tilo Riemer <riemer@lincvs.org>

	* added: new buttons for choosing color
	which works with all themes (KDE, WinXP, ...)
	* changed: "choose colors for revisions" moved
	from log dialog to settings dialog
	* added: log dialog: diff to console
	between sandbox and any revision

2005-01-07 Frank Hemer <frank@hemer.org>

	* changed: Selection mode:
	Deselect file on click at selected file
	Deselect all files on pressing escape
	Allow drag only for those files that were
	selected before clicking to drag

2005-01-06 Tilo Riemer <riemer@lincvs.org>

	* fixed: theoretical security hole
	set umask to 0077 before create temporarly
	files and .cvspass
	
2005-01-05 Frank Hemer <frank@hemer.org>

	* fixed: Update virtual dir icons in fileView

2005-01-04 Frank Hemer <frank@hemer.org>

	* changed: Reduce memory footprint for huge projects,
	syntax-highlighting reworked - use log mode now
	* fixed: Query update won't overwrite 'needs merge' info with 'modified'
	* fixed: Ignore .cvsrc file on 'diff-to-console'

2004-12-29 Frank Hemer <frank@hemer.org>

	* fixed: reduce system load while waiting for ssh-agent input

2004-12-23 Frank Hemer <frank@hemer.org>

	* fixed: entrie states 'needs merge' was mixed with 'needs patch',
	missing files now correctly are listed as 'missing' - till next
	query update/status call
	Query update lists files with conflicts as such (former 'needs merge')

2004-12-22 Frank Hemer <frank@hemer.org>

	* fixed: state handling for merge and query merge

2004-12-21 Tilo Riemer <riemer@lincvs.org>

	* added: "disabled" versions of toolbar icons (needed 
	for use of WinXP theme)
	
2004-12-17 Frank Hemer <frank@hemer.org>

	* changed: file list viewport state is cached per dir,
	removed historical code ...
	* fixed: ResolvDlg crash if filesize==0
	* added: msg about unbalanced conflict markers

2004-12-16 Frank Hemer <frank@hemer.org>

	* fixed: endless loop in scan-on-the-fly mode

2004-12-10 Frank Hemer <frank@hemer.org>

	* added: ResolvDialog show number of conflicts
	* changed: DiffDialog now has a splitter

2004-12-06 Frank Hemer <frank@hemer.org>

	* fixed: quiet mode output
	* changed: renamed 'Options' menu to 'Config'
	* changed: 'refresh' only refreshes current project

2004-12-04 Frank Hemer <frank@hemer.org>

	* changed: state checking improved

2004-12-03 Tilo Riemer <riemer@lincvs.org>

	* fixed: parents of modal dialogs

2004-12-02 Frank Hemer <frank@hemer.org>

	* fixed: Invalid ptr related crash

2004-12-01 Frank Hemer <frank@hemer.org>

	* changed: ResolvDialog colors changed/unified

2004-11-30 Frank Hemer <frank@hemer.org>

	* changed: ResolvDialog now has a splitter
	* changed: Selection of multiple files with mouse-move re-enabled

2004-11-29 Frank Hemer <frank@hemer.org>

	* changed: workaround for cvs-diff-ignorance of wide chars,
	causing diff --side-by-side to disregard changes in lines
	with wide chars

2004-11-24 Frank Hemer <frank@hemer.org>

	* fixed: ResolvDialog - multiple memory leaks fixed
	* fixed: Parser errors in Log mode if highlighting is disabled
	* fixed: consider changed cvs commit output format

2004-11-23 Frank Hemer <frank@hemer.org>

	* changed: ResolvDialog - significant performance improvement

2004-11-22 Frank Hemer <frank@hemer.org>

	* fixed: resurrect for non-english translation
	* changed: made ResolvDialog non-modal, this also fixes layout issues
	* changed: removed irrational 'Remove from repository' action

2004-11-12 Frank Hemer <frank@hemer.org>

	* fixed: ResolveDialog fontsize issues

2004-11-10 Frank Hemer <frank@hemer.org>

	* fixed: nasty mem-corruption
	* fixed: adapted diff to differing cvs-version output
	* fixed: don't loose last char if no lf

2004-11-07 Tilo Riemer <riemer@lincvs.org>

	* fixed: initialization of local repository is possible also
	if workbench is empty

2004-11-05 Frank Hemer <frank@hemer.org>

	* fixed: Diff side-by-side now correctly counts empty lines
	* changed: performance issues > skip unnecessary stat

2004-10-28 Frank Hemer <frank@hemer.org>

	* fixed: Info/Warning/Request modal dlgs now use the correct parent

2004-10-27 Frank Hemer <frank@hemer.org>

	* changed: code cleanup

2004-10-26 Tilo Riemer <riemer@lincvs.org>

	* fixed: broken diff (tag[s]) to console

2004-10-26 Frank Hemer <frank@hemer.org>

	* fixed: Reset stop button in CheckoutDlg/ImportDlg if call fails
	* fixed: Import won't add module to workdir history
	* fixed: Workaround for cvs with turned-around cvs add (resurrect) output

2004-10-19 Frank Hemer <frank@hemer.org>

	* changed: enhanced state tracking for dnd
	* changed: internal redesign completed
	* fixed: don't ignore subprojects if only difference is CVSROOT
	* fixed: properties: don't apply recursive changes beyond subprojects

2004-10-16 Frank Hemer <frank@hemer.org>

	* fixed: state tracking if missing files and cvs status call
	* fixed: toggle auto-update toolbar button if setup is changed
	in settings

2004-10-12 Frank Hemer <frank@hemer.org>

	* fixed: state tracking if filestate changes but doesn't affect
	the state of the parent directory

2004-10-11 Frank Hemer <frank@hemer.org>

	* changed: Merge,Watch,Diff,Annotate,History,Log redesigned
	* fixed: Syntax highlighting fixed
	* added: Resolv dialog now has name/revision caption

2004-10-04 Frank Hemer <frank@hemer.org>

	* changed: Edit redesigned
	* added: Icon for subProject root

2004-09-27 Frank Hemer <frank@hemer.org>

	* added: Create patch file (against indiv. tag)
	* fixed: Truncate appendix of $LANG as LinCVS doesn't support it

2004-09-26 Tilo Riemer <riemer@lincvs.org>

	* added: Unix: new command line option:
	Use additional search path for configuration file. If you don't
	have a config file in $HOME/.qt your settings will be stored
	in additional_search_path/lincvsrc

2004-09-25 Frank Hemer <frank@hemer.org>

	* fixed: LogDialog -> buttonstate
	* fixed: LogDialog -> diff against working copy

2004-09-24 Tilo Riemer <riemer@lincvs.org>

	* fixed: LogDialog -> sizegrip position

2004-09-22 Frank Hemer <frank@hemer.org>

	* added: LogDialog -> support for cvsnt additional data
	* added: cvsnt cvspass support for unix

2004-09-20 Frank Hemer <frank@hemer.org>

	* added: Menu options:
	'Enable tree' -> enables _all_ dirs in tree
	'Disable others' -> disables _all_ dirs above the selected dir
	with exception of the path to the toplevel dir

2004-09-17 Frank Hemer <frank@hemer.org>

	* changed: Made commit dialog non-modal

2004-09-16 Frank Hemer <frank@hemer.org>

	* fixed: activate the currentItem after 'remove from workbench'

2004-09-14 Frank Hemer <frank@hemer.org>

	* changed: splitting done
	* changed: rshwrapper supports $PATH

2004-09-07 Frank Hemer <frank@hemer.org>

	* changed: LogDialog default to srcoll down if more than
	one file
	* changed: Start splitting directory
	* added: Sorting for revision number

2004-09-04 Frank Hemer <frank@hemer.org>

	* fixed: LogDialog loss of revisions

2004-09-03 Frank Hemer <frank@hemer.org>

	* fixed: crash (parent==0 related) in CustomizeShortcuts

2004-08-25 Frank Hemer <frank@hemer.org>

	* fixed: crash in ResolvDialog

2004-08-24 Frank Hemer <frank@hemer.org>

	* fixed: ensure click on workbench updates fileview

2004-08-23 Frank Hemer <frank@hemer.org>

	* added: focus frame for log dialog;
	Log can now completely be operated from a keyboard

2004-08-20 Tilo Riemer <riemer@lincvs.org>

	* fixed: compatibility fixes for gcc 3.4.
	Many thanks to Markus Brueffer for the patch.
	
2004-08-18 Tilo Riemer <riemer@lincvs.org>

	* removed: "ask for quit" option

2004-08-17 Frank Hemer <frank@hemer.org>

	* fixed: Blocked gui due to invalid clipboard events
	* added: stop "cvs call" functionality for modal dialogs

2004-08-16 Frank Hemer <frank@hemer.org>

	* fixed: broken zoom in LogDialog

2004-08-13 Frank Hemer <frank@hemer.org>

	* added: rsh wrapper

2004-08-11 Tilo Riemer <riemer@lincvs.org>

	* changed: all nonmodal dialogs are "normal" widgets now,
	not dialogs.
	On Gnome the old dialogs (like log dialog) had the window
	properties of modal dialogs, that means no way to minimize
	or maximize the dialogs.
	Now the nonmodal dialogs have the behavior of normal
	widgets. Also you can decide if these dialogs use the root
	window as parent or the window within from they are 
	created. In the first case you can show the main window
	in front of these dialogs.

2004-08-11 Frank Hemer <frank@hemer.org>

	* fixed: VerifyDialog dimensions will be adjusted properly

2004-08-10 Frank Hemer <frank@hemer.org>

	* fixed: Commit messages will not be stored in duplication

2004-08-09 Tilo Riemer <riemer@lincvs.org>

	* changed: position of contextual menus:
	show the menu right and underneath the mouse pointer (if
	space is available) avoiding undesired actions

2004-08-06 Frank Hemer <frank@hemer.org>

	* fixed: Ignorance of pwd entry in cvs root
	* changed: Don't allow login/logout on non-pserver projects
	* added: Security warning at login/logout if pwd is part of
	CVSROOT

2004-08-06 Tilo Riemer <riemer@lincvs.org>

	* fixed: crash if creation of temp file failed
	* fixed: create patch: invalid default path of target dir
	* changed: create patch: use QFileDialog for selection 
	of patch file
	* changed: create patch: check now if LinCVS can create the 
	patch file and if needed can remove an already existing file

2004-08-05 Tilo Riemer <riemer@lincvs.org>

	* fixed: show port only for pserver connections in 
	directory properties dialog
	
2004-08-03 Tilo Riemer <riemer@lincvs.org>

	* added: LinCVS loads the qt translation file for qt 
	internal strings now.
	Many thanks to Bernhard Walle for the hint and code 
	example.
	
2004-08-03 Frank Hemer <frank@hemer.org>

	* changed: checkStatus (startup) only if .../CVS/* exists

2004-07-30 Frank Hemer <frank@hemer.org>

	* changed: viewport recovery algorithm for dnd

2004-07-28 Frank Hemer <frank@hemer.org>

	* fixed: blocked events are cached until gui is unblocked
	
2004-07-16 Frank Hemer <frank@hemer.org>

	* fixed: flickering of file view, jumping scrollbar pos

2004-07-12 Frank Hemer <frank@hemer.org>

	* changed: Removed duplicate code /
	disabled state checking while commit/import dialogs are open

2004-07-06 Frank Hemer <frank@hemer.org>

	* fixed: Ugly memory leak (finally fixed)

2004-07-05 Roberto Aragon <raragon1 at alumno dot uned dot es>

	* updated: Spanish translation
	
2004-07-05 Frank Hemer <frank@hemer.org>

	* fixed (partly): Ugly memory leak (consumed a lot of cpu power
	on exit)

2004-06-30 Tilo Riemer <riemer@lincvs.org>

	* added: Spanish translation (based on LinCVS 1.2.0)
	Many thanks to Roberto Aragon
	
2004-06-28 Frank Hemer <frank@hemer.org>

	* fixed: Doubled entries of disabled dirs on 'update all'
	* fixed: Don't ignore open/view file in customization defaults for
	file-popup-menu
	
2004-06-21 Frank Hemer <frank@hemer.org>

	* changed: New 'delete file' warning dlg
	* fixed: 'Don't show msg next time' now works for the above
	mentioned dlg. Changing the selected dir however will reset.
	
2004-06-16 Frank Hemer <frank@hemer.org>

	* fixed: moved cvs add to the proper menue
	* fixed: show empty checkoutAs entry on first pos in checkoutDlg
	* changed: Enhance descriptive menu entry
	* changed: Use prev. path for browsing in settings dlg
	* changed: Reworked menues
	* added: Remaining toolbar actions to dir/file menu

2004-06-15 Frank Hemer <frank@hemer.org>

	* added: Cvs init in Project-menu

2004-05-28 Frank Hemer <frank@hemer.org>

	* fixed: Reading from $CVSROOT ignored the username
	if not given
	
2004-05-25 Tilo Riemer <riemer@lincvs.org>

	* added: Unix and Mac: test for QWindowsStyle

2004-05-25 Frank Hemer <frank@hemer.org>

	* added: Possibility to interrupt status scanning.
	* changed: tremendous speed improvement during the first
	few status scans after initial dir scanning.

2004-05-22 Tilo Riemer <riemer@lincvs.org>

	* added: Unix: test for standard compliant C++ compiler
	* added: Unix: test for working exception handling

2004-05-19 Frank Hemer <frank@hemer.org>

	* fixed: GUI-blocking of Accelerator keys

2004-05-13 Tilo Riemer <riemer@lincvs.org>

	* added: Unix: test for timezone functions


changes from 1.3.1 to 1.3.2:

2004-05-07 Frank Hemer <frank@hemer.org>

	* changed: Menues redesigned

2004-05-04 Frank Hemer <frank@hemer.org>

	* changed: branch/tag allow all chars that are allowed by cvs

2004-05-04 Tilo Riemer <riemer@lincvs.org>

	* applied: patches applied for compilability on IRIX64
	Many thanks to Raoul Beauduin

2004-05-03 Frank Hemer <frank@hemer.org>

	* changed: #defines for deactivating clipboard support added
	* fixed: annotate on files now only reports for one file, but
	properly considers specific revision
	* changed: annotate on dirs now considers the dirbranch/tag

2004-05-01 Tilo Riemer <riemer@lincvs.org>

	* changed: profiles dialog reimplemented
	* added: profiles contain ssh client presets now
	* fixed: Checkout, Import, Export:
	add new users, servers and repositories to history lists
	* removed: Settings: saving of obsolete ssh client presets
	
2004-04-06 Frank Hemer <frank@hemer.org>

	* fixed: Passwd/login dlg was gui blocked when running chained
	cvs calls

2004-04-02 Frank Hemer <frank@hemer.org>

	* changed: Removed qeventloop-dependencies for default compilation
	setup


changes from 1.3.0 to 1.3.1:

2004-03-19 Frank Hemer <frank@hemer.org>

	* fixed: Update menu state after canceled drops

2004-03-18 Tilo Riemer <riemer@lincvs.org>

	* added: command line option "language"

2004-03-17 Tilo Riemer <riemer@lincvs.org>

	* fixed: crash while dragging an object from another 
	application over LinCVS if workbench is empty

2004-03-15 Frank Hemer <frank@hemer.org>

	* fixed: Endless loop on autoupdate with non-cvs topDir

2004-03-11 Frank Hemer <frank@hemer.org>

	* fixed: Unblock GUI when adding a project

2004-03-09 Frank Hemer <frank@hemer.org>

	* fixed: cvs history lost some lines on ssh access
	* added: cvs history 'P' support
	* fixed: adapt dir/file state after dnd 'cvs move'

2004-03-08 Tilo Riemer <riemer@lincvs.org>

	* improved: configure stuff

2004-03-07 Frank Hemer <frank@hemer.org>

	* fixed: SyntaxHighlighting for diff-to-console on fedora

2004-03-02 Frank Hemer <frank@hemer.org>

	* fixed: possibly buggy deletion of qprocess

2004-03-01 Frank Hemer <frank@hemer.org>

	* fixed: menu state when deselecting files from a multiselection
	* changed: multiple code cleanup/rework and enhancements

2004-03-01 Frank Hemer <frank@hemer.org>

	* fixed: display all symlinks and system files in noncvs/cvsignore tabs
	* fixed: autoupdate ignored the toplevel project if having subprojects
	* changed: gui blocking completely reworked
	* changed: timer handling reworked

2004-02-26 Frank Hemer <frank@hemer.org>

	* added: remember position of file columns

2004-02-14 Tilo Riemer <riemer@lincvs.org>

	* fixed: growing menus of directory properties dialog

2004-02-11 Frank Hemer <frank@hemer.org>

	* fixed: nasty lf bug when calculating cvs output

2004-02-06 Frank Hemer <frank@hemer.org>

	* fixed: always remove qprocess after running start-ssh-agent

2004-02-02 Tilo Riemer <riemer@lincvs.org>

	* fixed: problem with tm_gmtoff on Solaris
	Thanks to Stephen Watson and Marty Leisner for the patch.

2004-01-13 Frank Hemer <frank@hemer.org>

	* added: Recursive removal of .#* files
	* fixed: CustomizePopupDialog ensure selected item is visible

2004-01-11 Frank Hemer <frank@hemer.org>

	* added: Per project setup of $CVSROOT
	* improved: WhatsThis text in:
	Properties, Settings

2004-01-08 Frank Hemer <frank@hemer.org>

	* added: Optional overwrite for rename file

2003-12-20 Frank Hemer <frank@hemer.org>

	* added: Pure DNotify(kernel) support added
	Note the doc/DNOTIFY-HOWTO.txt
	
2003-11-08 Frank Hemer <frank@hemer.org>

	* added: Rename non-Cvs file

2003-11-03 Frank Hemer <frank@hemer.org>

	* changed: Sorting in workbench is no more case-sensitive
	
2003-10-22 Frank Hemer <frank@hemer.org>

	* added: Import vendor branch dialog
	* added: Commit to specific revision

	
changes from 1.2.0 to 1.3.0:

2004-01-26 Tilo Riemer <riemer@lincvs.org>

	* fixed: some wrong parents of message boxes

2004-01-16 Frank Hemer <frank@hemer.org>

	* fixed: Dnd for >qt3.1

2004-01-11 Frank Hemer <frank@hemer.org>

	* fixed: Prevent cvs call in :ext: mode if no project
	settings are available and bUseSsh* vars are false
	* changed: Workaround for buggy qprocess when using
	cvs diff --side-by-side in :ext: ssh mode

2004-01-09 Frank Hemer <frank@hemer.org>

	* added: CVS_SERVER env var support

2004-01-08 Frank Hemer <frank@hemer.org>

	* fixed: 'Rename'/'move cvs'
	Cancel action if target allready exists

2004-01-06 Tom Mishima <tmishima@mail.at-m.or.jp>

        * updated: Japanese translation

2004-01-05 Bernhard Walle <bernhard@bwalle.de>

	* fixed: import dialog: wrong parent of local 
	module browser dialog
	
2004-01-03 Bernhard Walle <bernhard@bwalle.de>

	* updated: German translation
	
2004-01-03 Tilo Riemer <riemer@lincvs.org>

	* fixed: module browser: missing whats-this-button pic 
	and text 

2003-12-16 Frank Hemer <frank@hemer.org>

	* fixed: state check/detection
	don't ignore changes in the currently activated dir and
	properly adapt the dir state
	
2003-12-15 Tom Mishima <tmishima@mail.at-m.or.jp>

	* fixed: wrong encoding/decoding of commit comment files

2003-12-12 Alan Ward <award@uda.ad>

	* added: French translation
	* updated: Catalan translation

2003-12-05 Bernhard Walle <bernhard@bwalle.de>

	* updated: German translation
	
2003-12-04 Bernhard Walle <bernhard@bwalle.de>

	* fixed: ImportDialog: wrong parents of message boxes
	
2003-12-02 Tilo Riemer <riemer@lincvs.org>

	* changed: about dialog: contributors section updated

2003-11-29 Bernhard Walle <bernhard@bwalle.de>

	* fixed: checkout dialog: wrong parent of "browse modules" dialog
	
2003-11-23 Tilo Riemer <riemer@lincvs.org>

	* changed: LinCVS can load translation files for
	sublocales now.
	
2003-11-18 Frank Hemer <frank@hemer.org>

	* fixed: diff rev against working copy with external diff 
	failed or showed diff in reverse order

2003-10-31 Frank Hemer <frank@hemer.org>

	* fixed: refresh cvs files view after changing time format in settings

2003-10-24 Tom Mishima <tmishima@mail.at-m.or.jp>, Tilo Riemer <riemer@lincvs.org>

	* fixed: decoding/encoding of temp files and friends if
	a non latin1 character set is used
	
2003-10-22 Frank Hemer <frank@hemer.org>

	* fixed: Checkout of a/b and a/c will no more complain about
	already existing project
	* fixed: Checkout of a/b/c... into already existing project
	will no more be added to wrong place in on-the-fly-mode
	* fixed: no keyword supression (-kk) on query merge
	* fixed: don't segfault on FileMapping close
	* removed: LogDialog-QTextEdit -- due to performance & memory
	
2003-10-21 Tilo Riemer <riemer@lincvs.org>

	* fixed: last (maybe nonempty) line ignored by 
	diff side-by-side
	
2003-10-21 Tom Mishima <tmishima@mail.at-m.or.jp>	

	* changed: Win: open/view files: use cmd.exe to 
	launch standard apps

2003-10-18 Frank Hemer <frank@hemer.org>

	* fixed: ProfileDialog - connect method recognition
	* fixed: CheckoutDialog - CVSROOT port detection
	* fixed: Crash on commit
	* fixed: Non-working qt autoCompletion in tag comboboxes
	
2003-10-15 Frank Hemer <frank@hemer.org>

	* fixed: Scrollposition remains on center of view
	on zoom, enable/disable tags/branchtags
	* added: LogDialog support for revision number jumps
	* added: LogDialog support for multiple vendor branches

2003-10-15 Tilo Riemer <riemer@lincvs.org>

	* added: encoding/decoding of strings for nonlatin1
	character sets.
	Now you can use nonlatin1 characters for comments
	and you can see differences between files encoded
	with nonlatin1 character sets.
	
2003-10-14 Frank Hemer <frank@hemer.org>

	* improved: Log Dialog now supports multiple files
	* improved: New sorting for the list view --> much faster
	* added: LogDialog keyboard support

2003-10-08 Frank Hemer <frank@hemer.org>

	* added: LogDialog - vendortag,releasetag,branch info
	* fixed: ResolvDialog - font size adaption for customizable fonts

2003-10-08 Tilo Riemer <riemer@lincvs.org>

	* fixed: internal diff tool (side-by-side):
	wrong width of markers and line numbers margin if 
	nonstandard font is used for diff

2003-10-06 Frank Hemer <frank@hemer.org>

	* fixed: evaluate state of dirs without subdirs on startup
	* fixed: checkLevel 2 checked too much;-)
	* fixed: WatchersDailog interpreted filenames as output
	* fixed: EditorsDialog time format

2003-10-05 Tilo Riemer <riemer@lincvs.org>

	* added: Whats-this-button added to all dialogs
	* improved: layout of some dialogs
	* changed: layout of standard buttons unified
	* changed: close buttons are labeled with "Close" 
	instead of OK

2003-10-03 Frank Hemer <frank@hemer.org>

	* added: Special statusBar() icon displaying status checking action

2003-10-01 Tilo Riemer <riemer@lincvs.org>

	* added: Whats-this-button added to subdialogs
	of import dialog
	
2003-09-30 Frank Hemer <frank@hemer.org>

	* removed: Modified(UTC) table header in file view
	* changed: Display all timestamps in local time
	* changed: Settings dialog redesigned
	Option for auto update added, whatsthis added
	* fixed: Start checking status immediately after LinCVS startup
	* fixed: No more workbench flickering when adding new projects
	* improved: Performance on adding projects
	* fixed: Ask whether project should be removed from workbench
	when reading project was interrupted (globalStopAction)

2003-09-30 Tilo Riemer <riemer@lincvs.org>

	* added: Whats-this-button added to 
	checkout-/import-/export dialogs

2003-09-28 Frank Hemer <frank@hemer.org>

	* added: Customization of date and time format
	* changed: ProfileDialog combo box lists now are unique
	* fixed: workdir/modulename/checkout as combo lists now are sorted

2003-09-28 Tilo Riemer <riemer@lincvs.org>

	* added: Mac: Apple-Q is now the default for terminating
	LinCVS

2003-09-26 Tilo Riemer <riemer@lincvs.org>

	* changed: configuration of external applications separated in
	program path and program options 

2003-09-24 Frank Hemer <frank@hemer.org>

	* added: fetch tag list in:
	Merge/Advanced diff/Tag Dialog
	* changed: LinCVS tries to display all timestamps
	in local time instead of utc
	* changed: Tabel header in cvslistview renamed to
	'Last updated' because the timestamps depend on the time of the
	last update call
	* changed: TagDialog now supports rev/tag/date and rtag
	* added: TagDialog std gui rules
	* added: UpdateOther dialog according to std gui rules
	* added: Global widget for updating to other rev/tag/branch ...
	* added: Settings option to use minimalistic non-std dialogs

2003-09-22 Frank Hemer <frank@hemer.org>

	* added: fetch and remember tag list from server

2003-09-18 Tilo Riemer <riemer@lincvs.org>

	* fixed: Mac: import dialog
	hiding of preview dialog and friends under the import dialog
	* added: Mac: default external apps
	* fixed: Mac: selection of external applications
	switched to Qt 3.2.1 (was a Qt bug)
	* improved: Mac: launching of external apps
	now pathes to external apps like 
	"/Applications/Utilities/Terminal"
	and
	"/Applications/Utilities/Terminal.app"
	should work
	* improved: Mac: determination of path to Bundle
	now we use the Mac API functions to determine path
	to Bundle (AppDir)

2003-09-18 Frank Hemer <frank@hemer.org>

	* changed: updateOtherRevision dialog redesigned
	now supports update other revision without sticky tag
	* added: LogDialog
	extra buttons for diffing selected rev against sandbox

2003-09-15 Tilo Riemer <riemer@lincvs.org>

	* fixed: FileMappingDialog
	no repainting of cells after cell move up/down
	
2003-09-15 Frank Hemer <frank@hemer.org>

	* fixed: ResolvDialog
	Don't ignore lines if conflictmarkers appear on the very
	first or last line
	* added: ResolvDialog now has descriptive labels
	* fixed: Segfault on systems without clipboard

2003-09-14 Tilo Riemer <riemer@lincvs.org>

	* improved: Linux: determination of path to AppDir
	now we try to determine the path to the 
	executable (AppDir) reading /proc/self/exe. It works
	for Linux 2.4, maybe for 2.2 also. If determination
	fails a fallback function is used.
	Under Linux 2.4, links to lincvs.bin should work correctly.

2003-09-11 Frank Hemer <frank@hemer.org>

	* added: drop/paste files and/or dirs into project dirs
	* changed: copy/move files now preserves user-permissions
	* fixed: Import/Export/Checkout dialog size policy
	now width can be adjusted in qtdesigner, so long path entries
	don't move dialog out of desktop boundaries.
	* fixed: Import/Export/Checkout dialog
	if called more than once in ssh mode, don't hide ssh frame

2003-09-11 Tilo Riemer <riemer@lincvs.org>

	* improved: Win: determination of path to executable
	now we use the Win API functions to determine path
	to executable (AppDir)

2003-09-09 Frank Hemer <frank@hemer.org>

	* fixed: Segfault on dir->'remove from disk' if
	removing the topLevel dir.
	* added: Run autoscroll in drag mode
	Qt's autoscroll is broken, so we use our own;-)
	* fixed: cvs calls from LogDialog and History were
	refering to the wrong project if checked out with alias

2003-09-08 Frank Hemer <frank@hemer.org>

	* fixed: lincvs won't ignore common windowmanager and
	qt startup params
	* fixed: don't break motif style rules
	* changed: External programs can be specified with params,
	so on win os explorer and shell can be started in proper mode
	* changed: default win setup for local/remote browser, shell
	and editor now contain the default path
	* added: create patch of selected dirTree against repository

2003-09-04 Frank Hemer <frank@hemer.org>

	* changed: Use logger now wherever possible
	The max loglevel should only be used for debugging,
	it will influence the performance!
	
2003-09-02 Tilo Riemer <riemer@lincvs.org>

	* added: fonts are customizable now for the whole app,
	the message widget and the views of "diff side-by-side"

2003-08-31 Frank Hemer <frank@hemer.org>

	* added: merge added to menues
	* added: edit button for key shortcuts dialog
	* changed: quiet mode
	can be toggled from popup menu
	* changed: rereadProject renamed to 'Reread tree'
	now calls rereadProjectOfDir(...) to be able to
	only reread a subtree

2003-08-29 Tilo Riemer <riemer@lincvs.org>

	* added: cvs quiet mode
	
2003-08-26 Frank Hemer <frank@hemer.org>

	* fixed: several ssh/ssh-agent fixes
	start ssh if ssh-agent has no identities to add
	start ssh-askpass if not started from console and
	ssh-agent prompts for passphrase
	* changed: Use unique format for qDebug msg

2003-08-25 Frank Hemer <frank@hemer.org>

	* added: cut/copy/paste
	* added: ssh-askpass replacement (contrib)

2003-08-20 Tilo Riemer <riemer@lincvs.org>

	* changed: LinCVS accepts the -style option as command
	line parameter now
	
2003-08-20 Frank Hemer <frank@hemer.org>

	* added: Drop files and projects to workbench
	if files originate from LinCVS, the required cvs calls will
	be fired.

2003-08-12 Tilo Riemer <riemer@lincvs.org>

	* ported: LinCVS works on Mac OS X now
	
2003-08-11 Frank Hemer <frank@hemer.org>

	* added: backward compatibility files for qt <= 3.1

2003-08-07 Tilo Riemer <riemer@lincvs.org>

	* fixed: wrong handling of main menu items if Qt 3.2 is used
	* fixed: DND works now if Qt 3.2 is used
	
2003-08-04 Frank Hemer <frank@hemer.org>

	* fixed: status on foreign subdirs
	* added: -u option to create patch
	* added: update/converter tool for settings
	* changed: some dialogs are modal now:
	Log/History/Annotate/Diff/Editors/Watchers

2003-07-23 Frank Hemer <frank@hemer.org>

	* changed: Store project settings individually for each
	project -- therefor, the settings file format has changed,
	an update/converter tool needs to be implemented
	* changed: removed all messageboxes from cvscontrol
	* added: export dir implemented
	* added: write version number to settings file

2003-07-16 Frank Hemer <frank@hemer.org>

	* changed: Reread project and friends now reopen the tree
	with the same dirs opened as before
	* added: Rename project (solely local)
	* added: Special icons, showing that autoupdate is enabled
	* changed: Auto-Update now supports non-cvs-controlled
	toplevel project-dirs with several subdirs

2003-07-14 Frank Hemer <frank@hemer.org>

	* added: Setup option for showing virtual dirs in workbench
	tree hierarchy
	* added: Setup option for diff-per-line precision
	* changed: Enabled scrolling from keyboard in:
	- LogDialog
	- DiffDialog

2003-07-13 Tilo Riemer <riemer@lincvs.org>

	* added: settings for syntax highlighting

2003-07-11 Frank Hemer <frank@hemer.org>

	* added: Level of status check now adjustable in settings
	* changed: The former Menu 'Check status' is now replaced
	whith the above mentioned, Level 0 means status checking
	disabled

2003-07-10 Angelo Contardi <angelo.contardi@italtel.it>

	* updated: Italian translation

2003-07-09 Frank Hemer <frank@hemer.org>

	* changed: status polling improved
	Now detects cvs-changes and added/removed non-cvs/ignores
	in all dirs.
	* added: File-open/view<->application mapping
	* added: open/view more than one file at a time
	* added: specify the selection as regular expression

2003-07-06 Frank Hemer <frank@hemer.org>

	* added: per line diff
	internal diff dialog marks changed/added/removed sections per
	line

2003-07-04 Tilo Riemer <riemer@lincvs.org>

	* added: syntax highlighting of cvs output
	
2003-07-04 Frank Hemer <frank@hemer.org>

	* changed: call of external diff cmd
	The cmd now can be specified as on the command line,
	%1,%2 and %3 will be substituted with the required file names.

2003-06-28 Frank Hemer <frank@hemer.org>

	* added: customizable key shortcuts

2003-06-22 Tilo Riemer <riemer@lincvs.org>

	* changed: default external apps
	Instead of netscape, rsh and konsole now mozilla, ssh
	and xterm are used as default.

2003-06-19 Frank Hemer <frank@hemer.org>

	* fixed: open/view file on cvsignore/non-cvs file tab
	only worked on topmost entry

2003-06-18 Frank Hemer <frank@hemer.org>

	* fixed: ProjectProperties/recursive update
	when called from a subdir, also changed setup
	of other projects following in workbench
	* added: update virtual (not yet checked out) dirs
	* added: parsing of CVS/Entries.Log
	this fixes some undetected cvs changes
	* fixed: update to dir branch
	now also works with date tags
	* added: Two options to show virtual dirs:
	comment #define VIRTUAL_IN_FILEVIEW in directory.cpp
	to show virtual dirs in the workbench, otherwise they are
	displayed in the cvs-files-tab.
	* added: update virtual dirs from workbench

	
changes from 1.1.6 to 1.2.0:

2003-06-17 Frank Hemer <frank@hemer.org>

	* fixed: update Cvs file view
	Sometimes, depending on the scrollbar pos, the cvs file
	view was not updated as required
	* added: Settings-option to enable/disable dir monitoring
	* fixed: ability to checkout additional subdirs of an
	aliased project module being already in workbench
	* fixed: show virtual dirs even if cvs says: --ignored,
	it is not possible to check wether they are empty without
	actually updating them
	* fixed: don't segfault if fam daemon is not running

2003-06-13 Tilo Riemer <riemer@lincvs.org>

	* changed: icons for unchanged (readonly, writable) and
	added files
	
2003-06-12 Tilo Riemer <riemer@lincvs.org>

	* added: DirWatch support for WinNT and successors

2003-06-10 Tilo Riemer <riemer@lincvs.org>

	* fixed: authentication problem with pserver method and
	"old" cvs versions (for instance with cvs used by NetBSD 1.6)
	* added: logging section in settings dialog

2003-06-04 Tilo Riemer <riemer@lincvs.org>

	* added: logging
	
2003-05-29 Frank Hemer <frank@hemer.org>

	* fixed: use last used profile as default for next use

2003-05-26 Tilo Riemer <riemer@lincvs.org>

	* fixed: overlooked diffs in internal "side-by-side-diff"
	
2003-05-24 Frank Hemer <frank@hemer.org>

	* added: Update all/Replace all/Query Update all (all meaning 
	with -d option)
	* fixed: Update Replace dir, which didn't use the -C option
	
2003-05-22 Tilo Riemer <riemer@lincvs.org>

	* fixed: use PATH settings for environment of launched processes
	Thanks to Jim Morris for the patch.

2003-05-20 Frank Hemer <frank@hemer.org>

	* fixed: State of modified files from different branch
	cvs reports these as "dummy timestamp from new-entry" in
	the CVS/Entries, now they are properly recognized as "modified".
	* added: openFile and viewFile menu entries for cvsignore and
	non-cvs fileview tab.
	
2003-05-18 Tilo Riemer <riemer@lincvs.org>

	* added: prune empty directories
	Now you can disable/enable the option "prune empty dirs", see
	settings/CVS Options.
	* added: bring over new directories
	Now you can disable/enable the option "bring over new dirs", see
	settings/CVS Options.
	
2003-05-15 Angelo Contardi <angelo.contardi@italtel.it>

	* updated: Italian translation
	* added: translation of README

2003-05-15 Frank Hemer <frank@hemer.org>

	* added: DirWatch support
	Interface implemented, currently only fam/linux support.
	Warning: If used with default fam installation using polling and
	fileschanged tool, set the maxdir define in FamConnector to 200
	or FAM/LinCVS will crash.
	* added: Extra dir state for existence of non-cvs files
	we now have: green star in folder icon: non-cvs files
	blue star: files modified
	red star: uncommitted changes (like adding a file)
	* changed: state caching speed encreased
	
2003-05-14 Tilo Riemer <riemer@lincvs.org>

	* fixed: crash if LinCVS runs with Qt 3.1.2 and you 
	disable/enable a directory
	* updated: German translation
	
2003-05-12 Angelo Contardi <angelo.contardi@italtel.it>

	* updated: Italian translation
	
2003-05-04 Tilo Riemer <riemer@lincvs.org>

	* added: start script for Emacs (Unix only)
	Many thanks to Katherina O'Connor for the script.

2003-04-28 Frank Hemer <frank@hemer.org>

	* fixed: query update
	detection of modified files and files with need for a merge
	If a merge is necessary, this will be the state being displayed.
	
2003-04-27 Tilo Riemer <riemer@lincvs.org>

	* fixed: query update: detection of modified files


changes from 1.1.5 to 1.1.6:

2003-04-22 Tilo Riemer <riemer@lincvs.org>

	* fixed: should work together with cvsnt servers now
	* added: Italian translation from Angelo Contardi
	* added: clear button in commit dialog
	
2003-04-14 Tilo Riemer <riemer@lincvs.org>

	* fixed: crash if LinCVS runs with Qt 3.1.2 and you remove 
	a directory from workbench
	
2003-04-02 Frank Hemer <frank@hemer.org>

	* fixed: update dir
	dirs that are removed during update will properly be removed
	from the workbench
	* added: when detecting files that would be removed on update
	but that are locally modified, show a warning message

2003-03-26 Frank Hemer <frank@hemer.org>

	* fixed: rename file
	now will keep the binary flag if set before

2003-03-25 Tilo Riemer <riemer@lincvs.org>

	* fixed: gzip compression level 0 (no compression) didn't work


changes from 1.1.4 to 1.1.5:

2003-03-23 Frank Hemer <frank@hemer.org>

	* fixed: cvs import
	command called cvs to import the wrong directory
	* changed: speed improvement for ResolvDialog
	* added: Query update dir detection
	query update will detect missing dirs, and display them as a subdir in
	the workbench. If they contain additional subdirs, these will be displayed
	in the 'Cvs files' pane, since the cvs's information is ambiguous and it is
	not detectable whether these dirs are empty dirs or wether they contain files
	or additional subdirs.
	* added: File list will keep selection when running cvs calls


changes from 1.1.3 to 1.1.4:

2003-03-20 Frank Hemer <frank@hemer.org>

	* fixed: Status bar text wasn't displayed sometimes
	No more qlabel, messages can be displayed for some secs now.
	Use void setStatusText(QString, int msecs) therefor. (msecs=0
	means don't hide after a while).
	* fixed: add project sometimes added to the wrong dir (in workbench)
	* fixed: rereadProjectOfDir now really only rereads that dir.
	* fixed: update dir command
	Newly added/updated dirs will be detected and displayed

2003-03-19 Tilo Riemer <riemer@lincvs.org>

	* added: browse buttons for choosing of external programs
	
2003-03-18 Frank Hemer <frank@hemer.org>

	* fixed: Query update crashes if called on files
	* changed: Design of cmainwindow subclasses
	Aiming at a better separation between gui and cvs maintenance


changes from 1.1.2 to 1.1.3:

2003-03-17 Frank Hemer <frank@hemer.org>

	* fixed: ResolvDialog bug
	delete on mergedialog mixed lines
	* fixed: size of colored lines
	* added: delete via mouseClick (on merge table)

2003-03-16 Tilo Riemer <riemer@lincvs.org>

	* fixed: LinCVS crashs if added directories are readonly
	
2003-03-13 Tilo Riemer <riemer@lincvs.org>

	* changed: WinXX: settings are stored per user now (if 
	Qt >= 3.1.x is used) with fallback to global settings
	(LinCVS reads global settings if user settings are not
	available and stores the settings in "current_user")
	
2003-03-12 Frank Hemer <frank@hemer.org>

	* fixed: 'query update' ignores modified files
	* fixed: launch_xemacs.sh failed on path holding whitespace

2003-03-12 Tilo Riemer <riemer@lincvs.org>

	* fixed: WinXX: removing of temporary files
	
2003-03-10 Jose Hernandez <joseh@tesco.net>

	* fixed: now you can compile LinCVS without dependency to
	QWindowsStyle (needed if your Qt has not compiled-in the
	windows style like the Debian Qt package), see 
	config/config.h
	
2003-03-10 Jose Hernandez <joseh@tesco.net>

	* changed: Removed exception handling code to allow lincvs 
	to compile on systems that do not support exceptions

2003-03-10 Tilo Riemer <riemer@lincvs.org>

	* add: dragging of files from fileviews to other applications
	implemented

2003-03-07 Frank Hemer <frank@hemer.org>

	* fixed: removal of dirs in noncvs files tab
	* changed: 'Directory/remove/From disc' && 'From repository and disc'
	Functions now are destructive, they behave like their equivalents
	in the File menu

2003-03-06 Frank Hemer <frank@hemer.org>

	* fixed: onthefly scanning
	used to ignore not cvs controlled dirs that contained cvs
	controlled dirs in the hierarchy depth
	* fixed: key-shortcuts were enabled when they shouldn't
	key-shortcuts are only active when option is enabled in menu
	* add: Uncommitted dirstate
	Reordered dirstates, so uncommitted but cvs-recognized files
	have their own dirstate and folder-icon
	* changed: Directory and file menu and popup menues
	redesigned and prepared for customizable key-shortcut implementation
	* changed: New folder icon for not cvs controlled dirs that contain
	cvs controlled dirs in the hierarchy depth

2003-03-04 Frank Hemer <frank@hemer.org>

	* fixed: CVSROOT/Modules parsing
	Now -d option is properly set in the checkout/export dialog

2003-03-02 Frank Hemer <frank@hemer.org>

	* add: Debug log feature
	Help menu contains option to write debug log telling
	about setup and last cvs call with all (hidden) parameters
	* add: Online cederqvist browse option
	added to Help menu

changes from 1.1.1 to 1.1.2:
	
2003-02-28 Frank Hemer <frank@hemer.org>

	* add: icon for "cvs autoupdate"
	
2003-02-26 Tilo Riemer <riemer@lincvs.org>

	* changed: more conspicuous icons for modified, needs 
	checkout|patch|merge
	* add: launching script for xemacs/gnuserv (UNIX only)
	
2003-02-27 Frank Hemer <frank@hemer.org>

	* add: NonCvs and Ignore tabs now have dynamic popup menues
	depending on the type of the selected file/s
	* add: Use add folder in the NonCvs file tab to have it more intuitive
	* add: Now you can run cvs add from the ignore tab too

2003-02-26 Tilo Riemer <riemer@lincvs.org>

	* fixed: WinXX: resolving of host names if hosts file
	is used instead of a nameserver
	* fixed: using compression option for cvs add.
	Thanks to Stephan Beal for the patch.

2003-02-25 Tilo Riemer <riemer@lincvs.org>

	* add: advanced diff dir to console: you can make diffs between
	any desired revisions
	* fixed: using compression option for all diff functions.
	Thanks to Stephan Beal for the patch.

2003-02-20 Frank Hemer <frank@hemer.org>

	* fixed: file locking/unlocking
	Adapted to changed cvs output
	* fixed: Non-responding shortcuts
	* fixed: Browsing local modules
	Now starts in the specified repository or otherwise in $CVSROOT

2003-02-18 Frank Hemer <frank@hemer.org>

	* fixed: update replace ran without -C option when called from popup menu
	* fixed: release and friends failed if modulename had whitespace in name
	* add: Checkout/Import/Export: Last used profile will be default on next use
	during one session.
	
2003-02-15 Frank Hemer <frank@hemer.org>

	* fixed: some weird cursor behavior with qt3.1 and kde3.1
	
2003-02-11 Frank Hemer <frank@hemer.org>

	* fixed: LogDialog was very slow on huge log output
	* removed: remainder of ssh-setup in settingsdialog
	
2003-02-07 Frank Hemer <frank@hemer.org>

	* fixed: passwd registry entry for cvsnt needed second and third patch due
	to an inconsistency in the entry format.

2003-02-06 Frank Hemer <frank@hemer.org>

	* fixed: passwd registry entry for cvsnt wasn't recoginzed due to a
	missing default port entry in the parsed cvs root
	* fixed: Browse modules now properly detects empty CVSROOT/modules files
	in combination with proxy usage
	* fixed: request for add to workbench will only appear if checkout was
	successfull
	* add: auto update now has choice of: off/query update/status/update
	* changed: unified messageboxes, some code beautification (access privileges),
	removed some unused code, redesigned "add to workbench" tests, prevent
	checkout of allready existing modules, use default dir as startup dir for
	"add to workbench";-)


changes from 1.1.0 to 1.1.1:

2003-02-04 Frank Hemer <frank@hemer.org>

	* changed: cvs output is now collected in separate buffer:
	CvsBuffer; The obsolete QMultiLineEdit is replaced with
	QTextEdit, each line is added as a separate paragraph. Highlighting
	and filtering now is possible without affecting the cvs output parser.
	* add: 'can't start qprocess' now contains a hint for checking the $PATH

2003-02-03 Tilo Riemer <riemer@lincvs.org>

	* fixed: wrong access rights of tools/start-ssh-agent.sh
	* add: advanced diff file to console: you can make diffs between
	any desired revisions
	
2003-02-02 Tom Mishima <tmishima@mail.at-m.or.jp>, Tilo Riemer <riemer@lincvs.org>

	* fixed: wrong AppDir if you launch lincvs via link which
	is located in your PATH.
	IMPORTANT:
	Read the INSTALL file (section 6)!
	
2003-01-31 Frank Hemer <frank@hemer.org>

	* fixed: Commit Dialog
	doesn't add '\n' at beginning of last commited text
	* fixed: Display lincvs-missing.xpm if embeddedImage is not found
	* changed: Properties Dialog
	The dialog now has a tab displaying the properties
	and a second tab for changing some of them.
	* add: Auto update
	Each project can now have an autoupdate propertie
	see Directory/Properties. If set, and the feature is enabled
	in the toolbar, the specified project will automatically run
	cvs update according to the specified timeout in:
	Settings/LinCVS Options/auto update

2003-01-16 Frank Hemer <frank@hemer.org>

	* fixed: LogDialog buttons are disabled during cvs calls.


changes from 0.9.90 to 1.1.0:

2003-01-14 Frank Hemer <frank@hemer.org>

	* readded: Old pwd dialog for use with qt<305
	
2003-01-14 Tilo Riemer <riemer@lincvs.org>

	* Install guide updated.
	
2003-01-10 Frank Hemer <frank@hemer.org>

	* fixed: QMultilineEdit::clear() on win took ages
	Implemented workaround to solve this behaviour.
	
2003-01-06 Tilo Riemer <riemer@lincvs.org>

	* Handling of README and friends improved.

2003-01-06 Frank Hemer <frank@hemer.org>

	* fixed: ResolvDialog
	Several fixes making it more user-friendly and faster
	
2003-01-01 Tilo Riemer <riemer@lincvs.org>
	
	* fixed: AppRun script: correct handling of parameters
	
2002-12-30 Tilo Riemer <riemer@lincvs.org>
	
	* add: install rules for ssh helper scripts
	* add: i18n for Help text (l10n for German realized)
	* fixed: skipping checkout/import dlg

2002-12-30 Frank Hemer <frank@hemer.org>

	* fixed: Properties now show correct port number or no port
	if dir is disabled
	* fixed: Directory branch tag gets rescanned if CVS/Entries was touched
	* fixed: Accept non branch tag as dir tag also
	* add: show files and folders in non-cvs or ignore pad according to
	being readable, writable and executable.

2002-12-23 Frank Hemer <frank@hemer.org>

	* add: diff to console for directories
	* add: create patch file from LogDialog
	
2002-12-18 Frank Hemer <frank@hemer.org>

	* fixed: import preview
	It didn't list ignored dirs
	* add: import dialog ~/.cvsignore entry check
	Faulty entries, especially empty lines caused import failure
	* add: checkout -d option
	You can specify an alias on checkout, so the module will be checked out
	into the alias dir instead of a dir with the module name.
	* add: cvs port support
	The port to use can be specified in the cvs server line:
	cvsserver.mydomain.org:2401 This is valid for the profiles too.
	
2002-12-15 Frank Hemer <frank@hemer.org>

	* fixed: weird char output bug with qt>=3.1
	* fixed: flickering in diffview (on resize)
	* add: previous/next button in ResolvDialog
	* add: conflict pos display between scrollbars
	
2002-12-12 Frank Hemer <frank@hemer.org>

	* add: ResolvDialog with keyboard and mouse support;-)
	* changed: Resizing in filelistview modified to only display with
	minimum required space.
	* add: added create new dir/file to file toplevel menu

2002-12-09 Tilo Riemer <riemer@lincvs.org>
	
	* add: License for nonGPL platforms (LLNU)
	
2002-12-04 Frank Hemer <frank@hemer.org>

	* changed: Added ContextHelp flags to all dialogs
	* fixed: crash after "create new directory" in toplevel dir.
	
2002-12-02 Frank Hemer <frank@hemer.org>

	* add: update (replace) added, replaces files instead of patching.
	* add: customizable settings for history period.
	* add: compression support for history and log
	* changed: m_projectDisabledList and m_projectNameList removed.
	
2002-11-29  Tilo Riemer <riemer@lincvs.org>
	
	* fixed: crash at login after logout
	* fixed: crash at commit

2002-11-28 Frank Hemer <frank@hemer.org>

	* fixed: Timezone bug with cvsnt,
	CVSNT ignores daylightsettings at the time of the built-timestamp.
	* fixed: removal of files from outside lincvs now properly is displayed.
	* add: recursive removal of cvs registered dirs
	
2002-11-26 Frank Hemer <frank@hemer.org>

	* fixed: If login failes, or is interrupted, the cvs call will be
	properly canceled.
	* changed: Project settings management
	New class ProjectSettings provides funktionality to store and read
	project specific settings.To add new options, just add a new <key>
	to globals.h (there is a hint there), and call:
	projectSettings->set(<project name without path>,<key>,value), where
	value can be of: bool,int,QString,QStringList.
	To read values call:
	projectSettings->get(<project name without path>,<key>,&value), where
	value can be of: bool,int,QString,QStringList. The get() returns true
	on success.
	You don't have to care about writing these values to the QSettings:-).
	The m_projectDisabledList will be removed in the near future.
	* add: Per project ssh access settings
	On checkout, if added to workbench, the settings are stored.
	If the project is added later, its ssh settings can be modified with
	contextmenu/menu->Properties... The global ssh setup is now disabled
	in Options/Settings/External Programs.

2002-11-24 Jose Hernandez <joseh@tesco.net>

	* Added new flat splitter class with smaller footprint and no handles.
	* Colour tab widget no longer uses bold font as this had the effect of
	cropping the text.
	* Layouts have now been corrected so that lincvs will make maximum use
	of available screen real-estate.
	* Added support for keyboard navigation.
	* Updated icons.
	
2002-11-24 Frank Hemer <frank@hemer.org>

	* bugfix: win ssh password check
	if cancel is pressed, the cvs call will indeed be canceled.
	* add: Absolute path to cvs
	In settings/Cvs details, the absolute path to the used cvs can be
	specified. So now it is possible to use different installed cvs,
	especially usefull on the windoof platform.
	* changed: .qt/lincvsrc project settings management
	Project settings are now stored under key lincvs/Projects. New functions
	read (void readProjectSettings()) and write (void writeProjectSettings())
	are available in the CvsConfig class. Details on each project should be
	stored there;-)
	
2002-11-18 Jose Hernandez <joseh@tesco.net>

	* Resurrected lincvs.cpp and lincvs.h at Tilo's request.
	* Tidied up menu customization dialog.
	* Updated some icons.
	
2002-11-17 Jose Hernandez <joseh@tesco.net>

	* Began migration of main window to Qt designer.
	* Simplified settings dialog.  Application font and theme
	are now set using the freely distributable qtconfig utility
	that ships with Qt.  LinCVS should now be able to pick-up
	KDE desktop settings.
	
2002-11-17  Tilo Riemer <riemer@lincvs.org>
	
	* changed: lincvs -h and friends works now without try to
	connect to X
	* fix: launching via rox works also if LinCVS is located in
	a dir with a name containing whitespaces or special chars
	
2002-11-15 Frank Hemer <frank@hemer.org>

	* add: save and restore toolbar position
	* add: separate settings for file viewer used by log and history

2002-11-13 Frank Hemer <frank@hemer.org>

	* bugfix: Delete from disk on Non-Cvs files tab now also deletes
	dirs, for now without testing if it, or one of its childs contains
	any cvs registered files.
	* add: createDir/createFile from Non-Cvs files tab
  	* add: enabled popup menues on non-cvs and cvs-ignore tab with
	enter-key

2002-11-10 Frank Hemer <frank@hemer.org>

	* add: Startup in dir
	If started like: lincvs mycvsdir, LinCVS will startup with only
	mycvsdir in workbench. This mode will not affect the other projects
	that are allready in the workbench. But they will not be displayed,
	and mycvsdir will not be added to this list. It's kind of a -use-once
	mode;-)
	* win: startup options reenabled

2002-11-08 Frank Hemer <frank@hemer.org>

	* bugfix: Don't ignore hidden dirs
	* changed: dir scanning speed encreased
	* add: internal diff:
	Option added (Settings) to ignore changes in amount of whitespace
	or added/removed empty lines.
	
2002-11-05  Tilo Riemer <riemer@lincvs.org>
	
	* add: version info for winXX

2002-11-05 Frank Hemer <frank@hemer.org>
	
	* bugfix: commands with masqWs'ed cvsroot didn't run.
	* bugfix: MessageBox added for release/release and remove
	if run through proxy. This isn't supported due to a cvs bug.
	
2002-11-05  Tilo Riemer <riemer@lincvs.org>
	
	* add: application icon for winXX

2002-11-04  Tilo Riemer <riemer@lincvs.org>
	
	* add: patch integrated for moving tags.
	Many thanks to Sebastian Boehm and his team from
	Friendscout24. 

2002-10-31 Frank Hemer <frank@hemer.org>

	* bugfix: fixed memory leak in several dialogs
	
2002-10-31  Tilo Riemer <riemer@lincvs.org>
	
	* changed: LinCVS is packaged as Application Directory now
	(see rox.sourceforge.net for more informations about 
	Application Directories). Root access is not required for 
	installation.

2002-10-30 Frank Hemer <frank@hemer.org>

	* changed: LogDialog
	Added some colors and removed WhatsThis dlg on right mouse click.
	Implemented zooming. Revision boxes now keep beeing roundRect if
	selected. Zooming or adding branch/tag descriptions don't change
	the scroll position any more.
	
2002-10-26 Frank Hemer <frank@hemer.org>

	* changed: complete workover of pserver login
	Login now is nonblocking;-) and using Qt
	Removed all gpl'd code from cvs
	* changed: ssh special settings look and feel changed

2002-10-21 Frank Hemer <frank@hemer.org>

	* bugfix: ssh support
	SSH_ASKPASS couldn't connect to display/XServer due to a missing env variable
	* bugfix: dir expand/collapse
	when collapsing a dir in workbench, and a subdir was selected, files in
	fileviewer now are properly updated
	* bugfix: expand all worked over
	* add: collapse all implemented
	
2002-10-18 Frank Hemer <frank@hemer.org>

	* bugfix for ModuleBrowser: the path was selected in reverse order
	* bugfix for release: now works even if the module's root dir has been renamed
	* bugfix: for chained commands: CVS dir update not detected since more than
	one cvs call happened in the same second and some systems don't care about
	msecs on QFileInfo::lastModified()
	* add: cvs port number now supported
	usage: add it to the server (eg. host) name: <host:port>
	* add: on the fly dir scanning
	If this is activated, on startup the dirtree is only scanned for the first dir
	level and its childs. On opening the dir, the next level and its childs are
	scanned. The dir state is kept track according to the scan depth reached.
	If the dir tree is not fully expanded, be careful on running cvs commands on
	dirs, since they will affect all the subdirs, even if they are not displayed
	in the workbench yet.
	* changed: Checking of file states improved, using more caching mechanisms.
	* changed: :local: support worked over
	* changed: some code beautification and removal of unused parts

	
2002-10-15 Frank Hemer <frank@hemer.org>

	* changed: parsing of CVSROOT reimplemented and original cvs code removed

2002-10-13 Frank Hemer <frank@hemer.org>

	* add: New Checkout/Export Dialog
	* add: Output for properties enhanced
	* changed: rightclick on dir in workbench doesn't invoke dir activation
	if the item was allready selected before
	* changed: reset ignorefile scanning algorithm to former method, due to
	performance tests
	
2002-10-11  Tilo Riemer <riemer@lincvs.org>
	
	* bugfix: annotate and friends work again

2002-10-09  Frank Hemer<frank@hemer.org>

	* add: The files window now displays tags with their numeric revision representation,
	and eventually set option flags.
	* add: cvs export
	Placed in the menu entrie Project/Export, LinCVS now can export the cvs
	registered files/subdirs of a module to a dir of choice, using the standard
	LinCVS checkout dialog. Using the export feature, the CVS/* dirs are skipped
	and only cvs registered dirs/files are exported.
	* add: 'Update (using dir branch)'
	When working on a branch and 'update other revision' was called on a whole
	dir or module, each dir and its subdirs are marked as belonging to the specific
	branch. If one of the files in such a dir was updated to a specific revision
	(using 'Update Other Revision ...'), you can now use the 'Update (using dir branch)'
	function to update to the latest revision of the branch.
	Please note that you eventually need to remove sticky tags
	(part of the 'Update Other Revision ...') first.
	* add: remove local (-kx) options
	When merging changes between two specific revisions into a branch or the HEAD,
	LinCVS uses the suppress keyword expansion (see the cvs man pages for more information
	on keywords) to prevent raising conflicts from merging expanded keywords. Cvs marks
	files merged with suppressed keyword expansion with a local '-kk' flag. This flag
	can only be removed after commiting the the changes and then calling the
	'remove local (-kx) options' function.
	Please note that these flags do not affect the repository, since these are only
	!local! flags.
	* add: LinCVS now supports ssh on linux and windows. Due to security reasons, you need
	plink for windows or openssh for linux support. Please visit SSH-HOWTO.txt for more;-)
	* add: LinCVS now has built-in proxy support. Because this is a cvs special feature,
	you need a patched cvs version. This version can be downloaded from our cvs-server, the
	module name is cvs-patched;-) Please take a look at http://www.lincvs.org and follow the
	instructions for download from cvs.
	To enable proxy usage, you have to specify the proxy to use in
	Options/Settins/CVS Details/Proxy settings. The format is:
	[user@]my.cvs.server::my.proyx.server:port
	If you have no cvs with proxy-support installed, these settings are silently ignored,
	otherwise a message starting with: (HTTP tunneling through my.proyx.server:port)
	will appear in the command window on each cvs call.
	* add: new import dialog implemented
	On Import, you can specify which files shall be ignored by cvs, and which files shall
	be imported using the binary (-kb) option (telling cvs this is a binary that only can
	be replaced but not merged). Both settings are implemented as a list of wildcard 
	(* and ?) filenames. The order of the list is important, since it is read from top
	down and settings can be overwritten by later definitions.
	A simple exclamation mark (!) resets all previous definitions.
	The settings for ignore and binary are only temporary for one import, since they will
	probably be different and need to be adapted for each import again.
	Please note that .cvsignore files in the imported dir and its subdirs will still
	overwrite the ignore settings. This is a cvs feature that can't be worked around.
	The presets of the ignore list are those beeing hardcoded in cvs. The binary list
	defaults to an empty list.
	Example:
	ignore list:
		*.exe
		*.bin

	binary list:
		*.abc
		*.?de
		!
		*.dll
		*.so

	will ignore all .exe and .bin files. .dll and .so files will be treated as binary
	but .abc and .?de files will be imported as standard cvs managed files.
	Valid wildcards are * and ?.
	* add: cvsnt support for windows
	
2002-09-26  Tilo Riemer <riemer@lincvs.org>
	
	* bugfix: the win version can handle working copies now if they are
	located on a Samba server.

2002-09-16  Frank Hemer <frank@hemer.org>

	* fix: bugfix for cvs on win, it uses wrong system time, since hwclock
 	on win allways equals system time.
	* add: Support for cvs and cvsnt customizable via settings.
	* add (only cvs): Customizable path to .cvspass, even the name can be different
	* add (win): support for cvsnt .cvspass since it is written into registry
	
2002-09-10  Tilo Riemer <riemer@lincvs.org>
	
	* check timezone should work now everywhere

2002-09-06  Frank Hemer <frank@hemer.org>

	* add: Module Browser for Modules on a remote Server implemented,
	called when hiting browse modules in checkout or import dialog.
	The CVSROOT/modules file is queried and its contents displayed in
	a browse-tree dialog. If the file is missing or empty, history is
	parsed, and the contents customized and displayed.
	
2002-09-06  Frank Hemer <frank@hemer.org>

	* fix: sort order in customize-menu choice box fixed.
	* add: on startup checks for running ssh-agent and uses the
	one already running. This can be overriden if checkbox in
	settings (use ssh-agent variables) is disabled. In this case
	LinCVS starts its own ssh-agent.
	
2002-09-03  Tilo Riemer <riemer@lincvs.org>
	
	* disable toolbar while startup now
	* checking of timezone implemented for winXX
	* localtime_r() replacd with localtime() because
	problems under Solaris
	
2002-09-03  Frank Hemer <frank@hemer.org>

	* fix: ssh feature fixed. It now supports openssh and
	ssh.com.

2002-08-31  Tilo Riemer <riemer@lincvs.org>

	* window style flags of dialogs corrected (minimize/
	maximize works now)
	
2002-08-27  Frank Hemer <frank@hemer.org>

	* Diff side-by-side: Internal viewer now shows location of diff
	in colored stripes, next to Scrollbar
	* fix: parsing of cvs command output doesn't reset viewport pos
	of file list
	
2002-08-15  Tilo Riemer <riemer@lincvs.org>
	
	* cvsignore works now under winXX

2002-08-15  Tom Mishima <tmishima@mail.at-m.or.jp>
	
	* fix: timezone check. There was problem if date format is different
	between localtime and CVS.

2002-08-12  Frank Hemer <frank@hemer.org>

	* fix: lock files now only locks one file but the proper
	revision and revision 1.1.1.1. This is the only way to
	not automatically remove locks on different branches and the
	main trunk on a commit. Kinda dirty though, but cvs doesn't
	give us a choice.

2002-08-11  Tilo Riemer <riemer@lincvs.org>
	
	* login (pserver) works under winXX now
	* usable handling of HOME and CVS_PASSFILE under winXX (not under
	winNot)
	* creation of template files and dir works under winXX now
	* commit works now under winXX using temporarly files
	* history of commit comments works under winXX also
	* bugfix: fallback if temp file for commit comment is unavailable
	should work now
	
2002-08-07  Tilo Riemer <riemer@lincvs.org>
	
	* use dynamic layouts for password and customize dialog now
	
2002-08-05  Frank Hemer <frank@hemer.org>

	* bugfix: merge files output parsing fixed
	* bugfix: logtree fixed for proper displaying locked files
	* bugfix: saving of tag,branch and module history fixed
	
2002-08-04  Frank Hemer <frank@hemer.org>

	* changed: Stage 3 of shifting to QProcess
	all fork and system calls removed, except
	for ssh-agent.
	
2002-08-03  Frank Hemer <frank@hemer.org>

	* changed: Stage 2 of shifting to QProcess
	all cvs commands should work now
	
2002-07-30  Frank Hemer <frank@hemer.org>

	* changed: Stage 1 of shifting to QProcess
	all commands without pipe to files work,
	others don't yet.
	
2002-07-31  Tilo Riemer <riemer@lincvs.org>

	* now you can set and save the history sizes of lists for tags,
	working directories, users, servers, repositories and modules
	
2002-07-30  Frank Hemer <frank@hemer.org>

	* bugfix: timezone now is calculated including daylight savings.
	wrong timezone now is displayed as:!!check timezone: incorrect!!
	in the state column
	* changed: CVS/Entries caching, parsing and displaying worked over
	for speed improvment
	
2002-07-30  Tilo Riemer <riemer@lincvs.org>

	* all settings adapted using QSettings
	* option added for local browser
	
2002-07-25  Frank Hemer <frank@hemer.org>

	* bugfix: fix for dirstates after merge, since cvs visible output
	differs from CVS/Entries
	* added: function recCheckStatus() to fix problem mentioned above
	* added: DEBUG entry for lincvsrc, showing test slot in Dir menu
	
2002-07-22  Frank Hemer <frank@hemer.org>

	* added: HistoryDialog: You can view a file by doubleClick. It will
	be marked as ro and shown in the editor specified in the settings
	* added: EditorsDialog: Lists all editors
	* added: WatchersDialog: Lists all watchers
	
2002-07-19  Frank Hemer <frank@hemer.org>

	* bugfix: commit setts proper dir state if called more than once
	on files in same dir
	* bugfix: LogDialog,Revision-tab: if scrolled, mouseclick selects
	proper revision now
	* bugfix: tag file doen't run twice on each file
	* bugfix: internal diff: changed lines now displays the proper value
	* added: internal diff: changed blocks number displayed
	* added: LogDialog: curserState changes during cvs call, dialog is
	disabled
	* changed: CommandInterface calls protected void cvsCallStarted()
	on callInteractive(...), new function void forwardToMain(int cmd) added,
	to forward the afterCall() to lincvs.cpp
	
2002-07-16  Frank Hemer <frank@hemer.org>

	* part 2: File and Dir menu is only enabled if there
	are files selected
	* proper dir state set when merging dirs
	
2002-07-12  Frank Hemer <frank@hemer.org>

	* synched with main trunk
	* added keywordsuppression for merge and diff.
	default can be customized in SettingsDialog
	* added history for tag, module and workdir
	* part 1 of adapting dir and file Menues to the currently 
	selected cvsview/noncvsview/cvsignoreview and the selected
	dir/files.

2002-07-08  Frank Hemer <frank@hemer.org>

	* bugfix: rename displays proper file state after call and
	needs its changes to be commited afterwards.
	* scrollwheel moves scrollbar if pointer is over text in:
	annotate view
	* Log view: double click on revision opens rev. in editor
	in ro mode.
	* Log view: merge of diff between selected revisions into
	the currently checked out rev implemented. Diff direction 
	depends on which file was selected with right click an left
	click --> from right click to left click.

2002-06-16  Tilo Riemer <riemer@lincvs.org>

	* bugfix: segfault if you remove a nonexisting directory
	from workbench
	* some settings reactivated
	
2002-06-15  Tilo Riemer <riemer@lincvs.org>

	* merged with Jose's qt3 branch. it should in sync
	now with Jose's branch and the main trunk (beside
	the changes for using qmake instead autotools and
	QSettings)
	* bugfix: segfault in import

2002-05-19  Tilo Riemer <riemer@lincvs.org>

	* file lock/unlock implemented
	* menu item for open file implemented

2002-05-16  Tilo Riemer <riemer@lincvs.org>

	* toolbar icons (designed by Stefan Bongartz 
	<mail@stefanbongartz.de>) integrated.

2002-05-05  Tilo Riemer <riemer@lincvs.org>

	* bugfix: multiple listed files in Cvs files view

2002-04-25  Tilo Riemer <riemer@lincvs.org>

	* bugfix: correct initialization of spinbox for update interval 
	in settings dialog, better synchronization of update interval 
	spinbox and slider

2002-04-06  Tilo Riemer <riemer@lincvs.org>

	* PixmapTimer code merged into qt3 branch
	* fix of customization bug of popupmenus merged into qt3 branch
	* query option added to merge dialog
	

changes from 0.5.0 to 0.9.90:

2002-03-18  Frank Hemer <frank@hemer.at>

	* new feature Logout for pserver mode
	* new feature Expand all, to expand whole dir tree
	* bugfix: customize menuItems refixed. In case weird or double
	entries occur after an update of lincvs, just delete the entries following:
	DIR_POPUP_MENU =
	and
	FILE_POPUP_MENU = 
	in .lincvsrc
	* release_and_remove rescans dir after execution
	
2002-03-13  Tilo Riemer <riemer@lincvs.org>

	* new formats added for loading customized icons. now you
	can load icons as xpm, gif, png, jp[e]g or bmp picture, if 
	your qt runtime library supports these or some of these formats.
	
2002-03-12  Tilo Riemer <riemer@lincvs.org>

	* now we can load customized icons from a dir (only icons in
	xpm format are supported at the moment and not all icons 
	can updated at runtime).
	
2002-03-11  Tilo Riemer <riemer@lincvs.org>

	* login behavior for cvs via ssh improved
        * kill-ssh-agent reimplemented


changes from 0.4.90 to 0.5.0:

2002-02-19  Tilo Riemer <riemer@lincvs.org>

	* bugfix: initialize import tags now with "no_*_tag", because cvs
	needs both tags for working; it does not work, if one or both tags
	are empty.

2002-02-13  Tilo Riemer <riemer@lincvs.org>
	
	* fallback to default popupmenus if config entries for menus 
	are wrong

2002-01-08  Tilo Riemer <riemer@lincvs.org>
	
	* patch integrated to allow pserver connection to cvsnt
	server using mickeysoft style drive letters 
	(i.e. ":pserver:me@server:c:/cvs" ).
	Many thanks to Erwin Scheuch-Heilig <ScheuchHeilig@t-online.de>.
	
2001-12-27  Tom Mishima <tmishima@mail.at-m.or.jp>
	
	* customizable popupmenu does not support i18n word.
	* Create ts directory and make translation skelton file for i18n.

2001-12-06 Frank Hemer <frank@hemer.at>
	
	* InteractiveCmdThread now allows interactive cvs-commands to be executed
	* InteractiveCmdThread works on non-thread-supporting platforms
	* InteractiveCmdThread doesn't block GUI events and is interruptable
	* .cvsignore implemented, including all env. settings
	* The lists are now arranged alphabetically
	* Login now has proper login window and supports env. settings
	* ssh support worked over
	* remove feature redesigned
	* release implemented
	* release and remove implemented
	* cvs unedit now works on remote server
	* checkout readonly implemented
	* readonly files now green, writable white (for better contrast to modified ones)
	* show editors implemented
	* toolbar disabled while cvs-command is running
	* status sets files that only exist on branches to proper state
	* directory status fixed (resets if for ex. conflicts are solved)
	* directory modified state added
	* caching mechanism for dir-scanning implemented
	* dirs are scanned at startup, and folderstate is displayed immediately
	* methods for rescanning implemented  but not used yet (ApplicationWindow::recCheckStatus())
	* folder state is not deleted on status or commit commands
	* enable/disable dir works fine now
	* cursor now in wait-state while scanning
	* customizable popupmenus for dir- and fileview
	* several minor fixes and changes
	* probably some things I forgot


changes from 0.4.0 to 0.4.90:

2001-11-13  Jose Hernandez <joseh@tesco.net>
	
	* Log dialog no longer blocks GUI events whilst initialising.
	* regenerated configure

2001-11-12  Jose Hernandez <joseh@tesco.net>

	* History dialog no longer blocks GUI events whilst initialising.
	* Removed Posix thread wrapper in favour of qt-mt.

2001-11-04  Jose Hernandez <joseh@tesco.net>

	* main application window is no longer created with
	destructive-close flag to fix segmentation fault.
	* fixed miscellaneous other uses of uninitialised
	memory.
	* removed profiling arguments from debug macro in
	favour of specific configure option.
	* Regenerated configure.
	
2001-10-31  Tilo Riemer <riemer@lincvs.org>

	* "merge branches" implemented
	* multiline version of "annotate | grep line" implemented

2001-10-29  Tilo Riemer <riemer@lincvs.org>

	* "annotate | grep line" implemented

2001-10-25  Tilo Riemer <riemer@lincvs.org>

	* patch integrated for fixing a segfault
	in the createtempfile function, many thanks to 
	Muhamad A Muquit <muquit@muquit.com>
	* patch integrated for fixing a bug by calling
	the editor, many thanks to 
	Steve Wampler <swampler@noao.edu>

2001-10-24  Tom Mishima <tmishima@mail.at-m.or.jp>

	* Application font does not apply at next start. 

2001-10-24  Jose Hernandez <joseh@tesco.net>

	* Cosmetic bug fixes to the log dialog and directory tree widget. 

2001-10-23  Jose Hernandez <joseh@tesco.net>

	* Made minor bug fixes and simplifications to the non-cvs listview.
	* Renamed all occurrences of "Quit" to "Exit" for consistency.
	* Altered debug build options to allow coverage testing and profiling.
		
2001-10-18  Jose Hernandez <joseh@tesco.net>

	* Removed redundant slot in application window.
	* Made toolbar stretchable.

2001-10-15  Jose Hernandez <joseh@tesco.net>

	* Regenerated configure script.
	* Decreased color depth of some pixmaps for better compatability
	with low color x window servers.
	* Created new settings dialog.
	* Created new profiles dialog.
	* Fixed bug in code to read profile from configuration file.

2001-10-14  Jose Hernandez <joseh@tesco.net>

	* Increased refresh speed in non-cvs file list view
	
2001-10-10  Jose Hernandez <joseh@tesco.net>

	* Added alternative posix thread classes for use whenever
	Qt thread support is not available.
	* Fixed color selection buttons in log tree dialog
	* Regenerated configure
	
2001-10-09  Jose Hernandez <joseh@tesco.net>

	* Fixed gcc 3 build.  Many thanks to Maxim Penzin <maxp@max.irk.ru>
	
2001-10-01  Tilo Riemer <riemer@lincvs.org>

	* watch functions implemented 


changes from 0.3.91 to 0.4.0:

2001-09-27  Tom Mishima <tmishima@mail.at-m.or.jp>

	* LinCVS uses japanese charsets now if locale 
	setting is Japanese 

2001-09-25  Tilo Riemer <riemer@lincvs.org>

	* choosing of japanese charsets for log dialog at 
	runtime implemented (using the patch from
	Tom Mishima <tmishima@mail.at-m.or.jp>)	

2001-09-23  Tilo Riemer <riemer@lincvs.org>

	* handling of temporary files improved (using of
	directory ~/.lincvs for storing temp files
	instead /tmp)

2001-09-16  Tilo Riemer <riemer@lincvs.org>

	* new patch integrated for reading .cvspass file 
	using newer versions of cvs, many thanks to 
	Peter Mathiasson <peter@mathiasson.nu>
	* LinCVS-icons added to the tarball 

2001-08-15  Tilo Riemer <riemer@lincvs.org>

	* segfault by opening module browser of checkout 
	dialog fixed 
	* command line option -s (or --small-icons) added 
	for using small icons (useful on some window managers)

2001-08-13  Tilo Riemer <riemer@lincvs.org>

	* LinCVS ignores directories which are sym links
	* in EDITORCOMMAND (~/.lincvsrc) LinCVS replaces %1 with 
	the file name incl. the full path (for instance: 
	xterm -T %1 my_editor)  

2001-08-05  Tilo Riemer <riemer@lincvs.org>

	* if you don't like a warning if you close LinCVS you can 
	disable the warning by setting ASKFORQUIT to 0
	* using of external diff programs implemented for 
	diff side-by-side

	
changes from 0.3.90 to 0.3.91:

2001-08-05  Tilo Riemer <riemer@lincvs.org>

	* support for KDE2 activated 

2001-07-31  Tilo Riemer <riemer@lincvs.org>

	* patch integrated for reading .cvspass file 
	using newer versions of cvs, many thanks to 
	Peter Mathiasson <peter@mathiasson.nu>

2001-07-30  Tilo Riemer <riemer@lincvs.org>

	* patch integrated for query update,
	many thanks to John R. <aegir@sanctuary.org>
	* ui files added to rule for make dist

2001-07-26  Tilo Riemer <riemer@lincvs.org>

	* test added for checking pid of ssh agent if LinCVS
	is started from tcsh or friends
	* call "start-ssh-agent.sh" instead the 
	link "start-ssh-agent" now

2001-07-18  Jose Hernandez  <joseh@tesco.net>

	* Added transparency to x pixmaps
	* replaced pthreads with Qt threads
	* improved tag dialog
	
2001-07-08  Tilo Riemer <riemer@lincvs.org>

	* bug in tag dialog fixed (segfault because missing pixmap)
	
2001-07-06  Tilo Riemer <riemer@lincvs.org>

	* bugfix (segfault if side-by-side-diff-dialog is empty) 
	* latin1() calls replaced with suitable alternatives because 
	problems on LinuxPPC
	

changes from 0.3 to 0.3.90:

2001-07-02  Tilo Riemer <riemer@lincvs.org>

	* most work of autoconfiscating of LinCVS done; many thanks 
	to Dr.-Ing. Johann Pfefferl <johann.pfefferl.jp@germany.agfa.com>
	for the first autoconfiscated version of LinCVS which was the base
	for our conversion
	* now you can start LinCVS minimized (use Option -i)	
	* now you can use the right mouse button for selection of 
	revision in log list view also
	
2001-06-28  Tilo Riemer <riemer@lincvs.org>

	* using result from ./configure for looking for help file
	
2001-06-25  Jose Hernandez  <joseh@tesco.net>

	* double clicking in the log tree now shows the file 
	  revision.
	* dead revisions are now shown in boxes with dotted lines

2001-06-16  Jose Hernandez  <joseh@tesco.net>

	* moved user interface and header files into src 
	* splitter positions now restored upon startup
	* Merged-in changes to cervisia's log tree widget
	* Fixed problem with cvs log output missing symbolic
	  names section. i.e. a .cvsrc file with the line
	  "log -N" exists.

2001-04-22  Jose Hernandez  <joseh@tesco.net>

	* Restored kde2 compatibility
	* Fixed minor problem in the annotation window.
	
2001-04-19  Jose Hernandez  <joseh@tesco.net>

	* Redesigned sandbox properties dialog (with Qt designer).
	* Redesigned log-tree dialog (with Qt designer).
	* Redesigned diff dialog (with Qt designer).
	* Added basic history dialog.
	* Redesigned icons.
	* Log tree window now produces a compacted tree view.
	* Moved 'About' series of dialogs out of lincvs.cpp.
	* Added prev/next diff feature to diff dialog.
	* Added option to remove files from disk to non-cvs
	  pane's contextual menu.
	* Added motif-plus style.
	* Embedded pixmaps in executable for easy deployment/installation.

2001-04-08  Tilo Riemer <riemer@lincvs.org>

	* patch integrated for fixing problem with colors of
	diff-dialog (diffview.cpp) on IRIX. 
	Many thanks to Kevin Meinert <kevn@vrac.iastate.edu>.

2001-03-28  Tilo Riemer <riemer@lincvs.org>
	
	* patch integrated for showing writable files, thanks 
	to Stefan Reinhold <Stefan.Reinhold@gmx.de>

	
changes from 0.3beta2 to 0.3:

2001-02-21  Tilo Riemer <riemer@lincvs.org>

	* determineTimeZoneDiff: should now POSIX-compliant and work
	on all POSIX platforms

	* log dialog tree: now you can select revisions with the right
	mouse button also (for owners of 2-buttons-mouse)
	* log dialog: selection color is configurable now

	* old simple diff reactivated; you can find diff
	side-by-side under Log/Diff

	* bugfix: wrong default value for EDITOR fixed

	* bugfix: remove files should correctly work now

	* DEFINES: __unix__ added for IRIX
	

2001-02-09  Tilo Riemer <riemer@lincvs.org>
	
	* workaround for bug in qt-2.2.4




changes from 0.3beta1 to 0.3beta2 (02/01/2001)
-LinCVS has an own icon now, thanks to Robert Hess <hess@vidsoft.de>
-diffview: added support for horizontal scrollbar; make window bigger by default
-color support in log view
-color support in NonCVS tab bar, you can immediately see if you have noncvs files
in your directory
-support added for diff with current version
-support for renaming files added
-committing via temporary file works now, you can use any
special character like " or / or \ in comment string
-support for native threads on FreeBSD, thanks to 
Michel Labarre <michel.labarre@helicom.com>
-LinCVS can handle directory and file names with blanks
-parsing of cvs access method improved (using the cvs sources), thanks to
Gottfried Ganssauge
-namespace replaced with class for compatibility with old compilers
-using of localtime() instead global variable timezone (the timezone global 
doesn't exists on BSD systems), thanks to Michel Labarre 
<michel.labarre@helicom.com> for the patch
-now you can add binary files
-kde2-support, thanks to Falk Brettschneider <gigafalk@yahoo.com> for the cool patch
-now you can remove files from disk but not from repository (thanks to Stephan
Beal) 
-adaptions for IRIX (for cc-compiler) (thanks to Raphael Grasset and Xavier
Granier)

-don't use TERM environment variable any more; terminal for login is now 
configurable
-bugfix in settings dialog (using seconds instead milliseconds for 
check-status-intervall)
-use "kill pid-of-my-ssh-agent" now instead "killall ssh-agent"


changes from 0.3alpha2 to 0.3beta1
-ssh-support (RSA-authentication only) implemented (tested with 
ssh version 1.2.26)
-show cvs output of log command in log dialog now
-using of compression for update,commit,checkout,import now
-jfc (from Keith Brown) and nextstep (from David Johnson <davod@usermode.org>) 
themes added
-LinCVS should be system shell independent (using of env instead export or set)
-detection problem of nonexistant old configuration files fixed
-geometry bug by first run of LinCVS fixed (invisible workbench and file list)
-profiles (server-user-repository) for quick access in checkout/import
-autoincreasing-by-start-bug fixed
-include stdlib.h in PixmapCache.cpp now
-diffdlg.cpp: fix for compile problem
-using "copy -f" instead "copy --force" because problems on TRUE64 

changes from 0.3alpha1 to 0.3alpha2
-saving of widget positions etc. in config file, thanks to Falk
Brettschneider <gigafalk@yahoo.com>
-toolbuttons added (now you can disable the automatic status check)
-fixed problem with trailing slashes (empty name of root directory after 
add project to workbench)
-fixed problem with floating gif in statusbar
-bugfixes in Makefile (target install, obsolete dependencies removed)
-pixmaps renamed to lincvs-*
-minor bugfixes

changes from 0.2.5 to 0.3alpha1
-new configuration file system implemented (based on AppConf from
Karsten Ballueder & Vadim Zeitlin)
-convenient way for adding files in cvs directories
-view of the log messages in tree and list form and diff between 
different revisions (based on code from Cervisia, thanks to Bernd Gehrmann)
-module browser in the checkout/import dialog
-possibility for disabling/enabling of directories in Workbench for scanning
-new choose-dir-dialog as workaround for trouble with qt-2.1; it works now
with qt-2.1 also
-indicating of modified files in directories after opening of dir
-opening file with double click in editor (choose your preferred editor in the
configuration file (for instance: "cooledit" or "xterm -exec vi"))
-now you can modifiy the intervall for checking status of files in current
directory, if the cpu usage on your machine is too high 
(see cfg file: CHECKSTATUSINTERVALL)

changes from 0.2.4 to 0.2.5
-bugfix: dirty thread implementation cleaned, compilable with gcc 2.95.x now,
thanks to Joern Wuestenfeld
-compilerswitch for other system shells, it works on TRUE64 for instance, 
thanks to Joern Wuestenfeld
-LinCVS marks files with set sticky date also (not only files with set
sticky tag)
-fix in Makefile: using of $(QTDIR)/bin/moc instead moc
-adaption in Makefile for compilability on other Unixes, thanks to 
Joern Wuestenfeld
-little bug fixed in checkout dialog: display choosed local directory as
current item in local-directory-combobox

changes from 0.2.3 to 0.2.4
-LinCVS marks files of old/other revisions
-it memorizes the input of checkout and import dialog
-multithreaded (except add): update of GUI until a cvs call, cvs call is now
interruptible, faster
-remove multiple slashes and slashes at the end of repository-string in
checkout and import dialog
-bugfix (displaying of state after committing of subdirectories)
-you can operate without mouse now
-fix for solaris and bugfix (determination of time zone difference), thanks
to Herve Poirier
-cutted-off-problem of checkout dialog and update-other-revision dialog
under Gnome solved
-now LinCVS displays the cvs command line in output widget


changes from 0.2.2 to 0.2.3
-little changes for IRIX compatibility including Makefile (thanks to 
Raikanta Sahu)
-support for remote shell access implemented (first version ;-) )
-now it works without dynamic casts (for FreeBSD compatibility)
-TERM environment variable problem solved ("Login failed"-error)
-segfault bug in fileUpdate() fixed


changes from 0.2.1 to 0.2.2
-segfault fixed once and for all (I hope ;-) )


changes from to 0.2 to 0.2.1
-fix for gcc 2.95.x
-bugfix (segfault in checkStatus)


changes from 0.1 to 0.2
-scanning of project dirs after starting instead while starting
-cpu utilization problem by big directories solved
-detection of modified CVS files outside LinCVS
-commit directory implemented
-bugfix (segfault while remove multiple files)
-reread of directories
-defaultbuttons in dialogs
-tagging of files and directories including branchtags implemented
-new Helptext
-update of any revision is possible now
-checkout using tags implemented
-warning dialog before remove files
-initialization of checkout and import dialog with CVSROOT
-tooltips in checkout and import
